Subject: Re: [Sip] "backup" outbound flows

From: Cullen Jennings <[email-masked]>
Date: Wed, 31 May 2006 22:51:03 -0700

On May 31, 2006, at 6:53 AM, Dale R. Worley wrote:

>
> Well, that's a different problem than the one I was asking about --
> namely, is it worth the effort to *maintain* two flows?  One could
> establish a backup flow at the time that one discovers that the  
> primary
> flow has failed.  (Which has the advantage that one can with certainly
> choose a proxy that is working at the moment of need.)  The only
> disadvantage is that it takes time to establish the second flow.  The
> only reason that one would want to have the backup flow pre- 
> established
> is that the setup time is longer than can be tolerated.
>
> But I've never seen anyone say that they've determined that the setup
> time is too long to be tolerated.  I've never even seen anyone  
> *assert*
> (with or without evidence) that the setup time is too long.  We just
> seem to be progressing with the design, taking that for granted.

As well as the avalanche restart issues ... the problem is not so  
much the time to set up a flow as it is the time to detect flow  
failure. Say I do a some sort of keep alive to the registrar every 15  
minutes. Now if the registrar dies somehow, it might be 15 minutes  
before I detected it and set up a new connection. 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip